#ifndef _MSIGI_COMMAND_H
#define _MSIGI_COMMAND_H

// Stores a command as a member of a command set
typedef struct {
  char* command;
  int cmdid;
} command_t;

// Stores a parsed command
typedef struct {
  int cmdid;
  char* param;
} parsed_command_t;

// Function declarations
void set_command_set(command_t* cmdset);
parsed_command_t parse_command(char* cmdstr);

#endif
