#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

void gpibtest(void);

int main(int argc, char** argv) {

  gpibtest();

  return 0;
}

#include "gpibcomm.h"
void gpibtest() {

  int rv;
  int inst;

  rv = inst_init(9);
  printf("inst_init() returned %d\n", rv);
  inst = rv;

  sleep(5);

  rv = gpib_write(inst, "*RST");
  printf("gpib_write() returned %d\n", rv);

  sleep(5);

  rv = gpib_write(inst, "ROUT:MON:STAT 1");
  printf("gpib_write() returned %d\n", rv);

  sleep(5);

  inst_term(inst);

}
